<?php

   if(isset($akcja) and $akcja=="usun" and isset($id_strony)){
		if(isset($potwierdzenie_usuniecia)){

			$wykonaj = mysql_query ("DELETE FROM ".$db_pref."strona WHERE id='".$id_strony."';");
			if($wykonaj){
				komunikat("Komunikat","Strona została usunięta pomy¶");
			}else{
				komunikat("Błąd","Wystąpił błąd podczas usuwania strony");
			}

		}else{
			$komunikat2 = '<div class="pagination"><p><a href="?go=lista_stron&akcja=usun&id_strony='.$id_strony.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=lista_stron"><font color="#FF0000">NIE</font></a></p><h4>Czy napewno chcesz usunąć tą stronę?</h4></div>';
			komunikat("Uwaga!!!",'Usunięta zostanie strona o ID: '.$id_strony.'</p>'.$komunikat2);
		}
   }


//	$warunki_wyszukiwania = " WHERE id_serwisu='".$ID_serwisu."' ";


	$po_ile_na_stronie = 9;
	$zapytanie_str = "SELECT * FROM ".$db_pref."strona ".$warunki_wyszukiwania.";";
	include"../../include/stronnicowanie.php";







echo'
			<table class="table1">

			<thead><tr><th colspan="6">Lista stron</th></tr></thead>

			<tbody>

				<tr>

				<th>Nazwa strony</th>

				<th>Alias</th>

				<th>Szablon strony</th>

				<th width="100">Czas dodana</th>



				<th width="35">Akcje</th>

				</tr>
';













  $wykonaj = mysql_query ("SELECT * FROM ".$db_pref."strona".$warunki_wyszukiwania." ORDER BY `id` DESC LIMIT ".$temp.",".$po_ile_na_stronie.";");



	if (!($wykonaj)) print mysql_error();



	if($wykonaj){



    while($wiersz=mysql_fetch_array ($wykonaj)){



    	  		$id = $wiersz['id'];



				$nazwa_pliku = $wiersz['nazwa_pliku'];



				$nazwa_strony = $wiersz['nazwa_strony'];



				$alias = $wiersz['alias'];



				$kiedy_dodana = $wiersz['kiedy_dodana'];







echo'
				<tr>

					<th class="sub"><a href="javascript:parent.zmien_adres_ramki(\'../'.$alias.'.html\');">'.$nazwa_strony.'</a></th>

					<td><small>'.$alias .'</small></td>

					<td>'.$nazwa_pliku .'</td>

					<td><small>'.date('Y.m.d H:i:s', $kiedy_dodana).'</small></td>


					<td>
						<a href="?go=lista_stron&akcja=usun&id_strony='.$id.'&strona='.$strona.'">'.ikonka("u").'</a>
						<a onclick=\'return parent.CPwindow(this, "strona_'.$id.'", "Edytuj: '.$nazwa_strony.'", 700, 333);\'  href="?go=edytuj_strone&id_strony='.$id.'&strona='.$strona.'">'.ikonka("e").'</a>
					</td>

				</tr>
';



// usuwanie stron proces nr 10



  	}



	}











echo'



			</tbody>



			</table><br>



';


?>